Possible to use Reanimated 2 on SDK 40 with the fixes? (iOS 10)

Please provide the following:

  1. SDK Version: ^40.0.0
  2. Platforms(Android/iOS/web/all): Android/iOS

I have to use SDK 40 as that has support down to iOS 10.

Is it ok if I install reanimated 2 on it? Will it have the fixes as for reanimated 2 bugs like these - https://github.com/expo/expo/issues/11672

Gentle bump on this. I was thinking of redoing all my reanimated v1 stuff if reanimated 2 works without crashing in prod.

Another gentle bump on this please. I’ve done a lot of testing in dev and cannot get crashes. But I’m not sure when it gets to prod if it will. Anyone know?

each sdk release is bound to a specific version of native modules if you use classic builds (not easy build) and expo go

1 Like

Brent means “not EAS Build”.

2 Likes

Thanks @wodin for clarification!

Thanks @brents for that. My gut feeling was yea it can’t be true haha. I’ll stick with Reanimated v1 for now, thanks!

I’m planning to move my app to EAS build once the eas update thing comes out and I play with it on my other app. This one has quite a few users so I get worried to try things lol.

ah, cursed autocorrect

1 Like

hahah :joy: